# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TArrayTypeEntry

Packages that use TArrayTypeEntry
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TArrayTypeEntry in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TArrayTypeEntry
Modifier and Type
Class
Description
`class`
`TArrayTypeEntry`
`class`
`TArrayTypeEntry`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TArrayTypeEntry
Modifier and Type
Method
Description
`TArrayTypeEntry`
TArrayTypeEntry.`deepCopy()`
`TArrayTypeEntry`
TTypeEntry.`getArrayEntry()`
`TArrayTypeEntry`
TArrayTypeEntry.`setObjectTypePtr(int objectTypePtr)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TArrayTypeEntry
Modifier and Type
Method
Description
`static TTypeEntry`
TTypeEntry.`arrayEntry(TArrayTypeEntry value)`
`int`
TArrayTypeEntry.`compareTo(TArrayTypeEntry other)`
`boolean`
TArrayTypeEntry.`equals(TArrayTypeEntry that)`
`void`
TTypeEntry.`setArrayEntry(TArrayTypeEntry value)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TArrayTypeEntry
Modifier
Constructor
Description
``
`TArrayTypeEntry(TArrayTypeEntry other)`
Performs a deep copy on other.